## golang-github-go-git-go-git 5.11.0

=== Makefile ===
# General
WORKDIR = $(PWD)

# Go parameters
GOCMD = go
GOTEST = $(GOCMD) test 

# Git config
GIT_VERSION ?=
GIT_DIST_PATH ?= $(PWD)/.git-dist
GIT_REPOSITORY = http://github.com/git/git.git

# Coverage
COVERAGE_REPORT = coverage.out
COVERAGE_MODE = count

build-git:
	@if [ -f $(GIT_DIST_PATH)/git ]; then \
		echo "nothing to do, using cache $(GIT_DIST_PATH)"; \
	else \
		git clone $(GIT_REPOSITORY) -b $(GIT_VERSION) --depth 1 --single-branch $(GIT_DIST_PATH); \
		cd $(GIT_DIST_PATH); \
		make configure; \
		./configure; \
		make all; \
	fi

test:
	@echo "running against `git version`"; \
	$(GOTEST) -race ./...

TEMP_REPO := $(shell mktemp)
test-sha256:
	$(GOCMD) run -tags sha256 _examples/sha256/main.go $(TEMP_REPO)
	cd $(TEMP_REPO) && git fsck
	rm -rf $(TEMP_REPO)

test-coverage:
	@echo "running against `git version`"; \
	echo "" > $(COVERAGE_REPORT); \
	$(GOTEST) -coverprofile=$(COVERAGE_REPORT) -coverpkg=./... -covermode=$(COVERAGE_MODE) ./...

clean:
	rm -rf $(GIT_DIST_PATH)

fuzz:
	@go test -fuzz=FuzzParser				$(PWD)/internal/revision
	@go test -fuzz=FuzzDecoder				$(PWD)/plumbing/format/config
	@go test -fuzz=FuzzPatchDelta			$(PWD)/plumbing/format/packfile
	@go test -fuzz=FuzzParseSignedBytes		$(PWD)/plumbing/object
	@go test -fuzz=FuzzDecode				$(PWD)/plumbing/object
	@go test -fuzz=FuzzDecoder				$(PWD)/plumbing/protocol/packp
	@go test -fuzz=FuzzNewEndpoint			$(PWD)/plumbing/transport

## golang-github-go-git-go-git 5.4.2

=== debian/changelog ===
golang-github-go-git-go-git (5.4.2-4ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 12:25:00 +1000

golang-github-go-git-go-git (5.4.2-4ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:16:25 +0100

golang-github-go-git-go-git (5.4.2-4ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 13:41:12 +0530

golang-github-go-git-go-git (5.4.2-4) unstable; urgency=medium

  * Team upload.
  * Add tzdata to Build-Depends. Closes: #1027907.

 -- Santiago Vila <sanvila@debian.org>  Tue, 31 Oct 2023 23:45:00 +0100

golang-github-go-git-go-git (5.4.2-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Nov 2021 10:07:32 +0530

golang-github-go-git-go-git (5.4.2-2) unstable; urgency=medium

  * Rebuild for unique version in DAK (-1 was REJECTED)

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Nov 2021 18:22:58 +0530

golang-github-go-git-go-git (5.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #998884)

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Nov 2021 17:33:39 +0530

=== debian/control ===
Source: golang-github-go-git-go-git
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-armon-go-socks5-dev,
               golang-github-emirpasic-gods-dev,
               golang-github-gliderlabs-ssh-dev,
               golang-github-google-go-cmp-dev,
               golang-github-go-git-go-billy-dev,
               golang-github-imdario-mergo-dev,
               golang-github-jbenet-go-context-dev,
               golang-github-kevinburke-ssh-config-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-src-d-gcfg-dev,
               golang-github-xanzy-ssh-agent-dev,
               golang-go-flags-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-check.v1-dev,
               golang-golang-x-text-dev,
               golang-github-go-git-go-git-fixtures-dev,
               golang-github-anmitsu-go-shlex-dev,
               git,
               tzdata
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git.git
Homepage: https://github.com/go-git/go-git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-git/go-git

Package: golang-github-go-git-go-git-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-armon-go-socks5-dev,
         golang-github-emirpasic-gods-dev,
         golang-github-gliderlabs-ssh-dev,
         golang-github-google-go-cmp-dev,
         golang-github-go-git-go-billy-dev,
         golang-github-imdario-mergo-dev,
         golang-github-jbenet-go-context-dev,
         golang-github-kevinburke-ssh-config-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-protonmail-go-crypto-dev,
         golang-github-sergi-go-diff-dev,
         golang-github-src-d-gcfg-dev,
         golang-github-xanzy-ssh-agent-dev,
         golang-go-flags-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-check.v1-dev,
         golang-golang-x-text-dev,
         ${misc:Depends}
Description: highly extensible Git implementation in pure Go
 go-git is a highly extensible git implementation library written in pure Go.
 .
 It can be used to manipulate git repositories at low level (plumbing) or high
 level (porcelain), through an idiomatic Go API. It also supports several types
 of storage, such as in-memory filesystems, or custom implementations, thanks
 to the Storer interface.

Package: go-git
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: highly extensible Git implementation in pure Go (command line)
 go-git is a highly extensible git implementation library written in pure Go.
 .
 It can be used to manipulate git repositories at low level (plumbing) or high
 level (porcelain), through an idiomatic Go API. It also supports several types
 of storage, such as in-memory filesystems, or custom implementations, thanks
 to the Storer interface.
 .
 This package provides command line interface of this library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/go-git/go-git/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-go-git-go-git 5.11.0

=== debian/changelog ===
golang-github-go-git-go-git (5.11.0-4) unstable; urgency=medium

  * Team upload

  [ Anshul Singh ]
  * unset no_proxy env to fix tests on Ubuntu autopkgtest infra.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Aug 2024 15:04:07 +0800

golang-github-go-git-go-git (5.11.0-3) unstable; urgency=medium

  * Team upload.
  * Disable another test that requires internet
  * Add patch to use explicit loopback IP instead of localhost

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 10 Jun 2024 17:19:43 +0800

golang-github-go-git-go-git (5.11.0-2) unstable; urgency=medium

  * Team upload.
  * Revert symlinking github.com/imdario/mergo to dario.cat/mergo
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 04 Jun 2024 15:14:28 +0800

golang-github-go-git-go-git (5.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * New upstream release 5.11.0 (Fixes: CVE-2023-49568, CVE-2023-49569)
    (Closes: #1060701)
  * Bump Standards-Version to 4.6.2 (no changes needed)

  [ Maytham Alsudany ]
  * Symlink github.com/imdario/mergo to new import path (dario.cat/mergo)
  * Update (B-)Deps, add support for nocheck builds
  * Use fake home directory containing test data during tests
  * Disable more tests that require internet
  * Disable gitignore test with unreliable tilde expansion

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 16 Apr 2024 15:37:15 +0300

=== debian/control ===
Source: golang-github-go-git-go-git
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-armon-go-socks5-dev <!nocheck>,
               golang-github-elazarl-goproxy-dev <!nocheck>,
               golang-github-emirpasic-gods-dev,
               golang-github-gliderlabs-ssh-dev <!nocheck>,
               golang-github-golang-groupcache-dev,
               golang-github-google-go-cmp-dev <!nocheck>,
               golang-github-go-git-go-billy-dev (>= 5.5.0),
               golang-github-imdario-mergo-dev,
               golang-github-jbenet-go-context-dev,
               golang-github-kevinburke-ssh-config-dev,
               golang-github-pjbgf-sha1cd-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-skeema-knownhosts-dev,
               golang-github-src-d-gcfg-dev,
               golang-github-xanzy-ssh-agent-dev,
               golang-github-jessevdk-go-flags-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-check.v1-dev <!nocheck>,
               golang-golang-x-text-dev <!nocheck>,
               golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
               git,
               tzdata
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git.git
Homepage: https://github.com/go-git/go-git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-git/go-git

Package: golang-github-go-git-go-git-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-emirpasic-gods-dev,
         golang-github-golang-groupcache-dev,
         golang-github-go-git-go-billy-dev (>= 5.5.0),
         golang-github-imdario-mergo-dev,
         golang-github-jbenet-go-context-dev,
         golang-github-kevinburke-ssh-config-dev,
         golang-github-pjbgf-sha1cd-dev,
         golang-github-protonmail-go-crypto-dev,
         golang-github-sergi-go-diff-dev,
         golang-github-skeema-knownhosts-dev,
         golang-github-src-d-gcfg-dev,
         golang-github-xanzy-ssh-agent-dev,
         golang-github-jessevdk-go-flags-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: highly extensible Git implementation in pure Go
 go-git is a highly extensible git implementation library written in pure Go.
 .
 It can be used to manipulate git repositories at low level (plumbing) or high
 level (porcelain), through an idiomatic Go API. It also supports several types
 of storage, such as in-memory filesystems, or custom implementations, thanks
 to the Storer interface.

Package: go-git
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: highly extensible Git implementation in pure Go (command line)
 go-git is a highly extensible git implementation library written in pure Go.
 .
 It can be used to manipulate git repositories at low level (plumbing) or high
 level (porcelain), through an idiomatic Go API. It also supports several types
 of storage, such as in-memory filesystems, or custom implementations, thanks
 to the Storer interface.
 .
 This package provides command line interface of this library.

=== debian/rules ===
#!/usr/bin/make -f

GOPATH = $(CURDIR)/_build
GOCACHE = $(CURDIR)/_build/go-build
HOME = $(CURDIR)/_build/fakehome

# autopkgtest.ubuntu.com sets no_proxy env, however proxy_test.go will
# fail with that.
unexport no_proxy

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	# remove test files if nocheck is passed
ifeq (nocheck,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -f \
		$(CURDIR)/_build/src/github.com/go-git/go-git/plumbing/transport/http/internal/test/test_utils.go \
		$(CURDIR)/_build/src/github.com/go-git/go-git/plumbing/transport/ssh/internal/test/test_utils.go \
		$(CURDIR)/_build/src/github.com/go-git/go-git/plumbing/transport/test/receive_pack.go \
		$(CURDIR)/_build/src/github.com/go-git/go-git/storage/test/storage_suite.go
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# writeable HOME directory with ~/.ssh/known_hosts and ~/.gitconfig is
	# needed, as per .github/workflows/test.yml.
	cp -r $(CURDIR)/debian/fakehome $(HOME)
	# `go test` must be run manually, as debhelper will clear the HOME variable.
	GOPATH=$(GOPATH) GOCACHE=$(GOCACHE) GO111MODULE=off GOPROXY=off GOTOOLCHAIN=local \
		HOME=$(HOME) go test -vet=off -v -p 8 github.com/go-git/go-git/...
endif

## golang-github-go-git-go-git 5.12.0

=== debian/changelog ===
golang-github-go-git-go-git (5.12.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Team upload.
  * New upstream version 5.12.0

  [ Chris Lamb ]
  * Make it build reproducibly.  Closes: #1000401.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 Dec 2024 21:13:09 +0100

## golang-github-go-git-go-git 5.13.2

=== debian/changelog ===
golang-github-go-git-go-git (5.13.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.13.2
    - Fix CVE-2025-21613.  Closes: #1092678.
    - Fix CVE-2025-21614.  Closes: #1092679.
  * Fix nocheck B-D.
  * Fix lintian update-debian-copyright.
  * Add Breaks:gitsign<0.12.0-4.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Feb 2025 22:30:11 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
-               golang-gopkg-check.v1-dev <!nocheck>,
+               golang-gopkg-check.v1-dev,
                golang-golang-x-text-dev <!nocheck>,
                golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
                git,
@@ -42,6 +42,7 @@
 Package: golang-github-go-git-go-git-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: gitsign (<< 0.12.0-4~)
 Depends: golang-github-emirpasic-gods-dev,
          golang-github-golang-groupcache-dev,
          golang-github-go-git-go-billy-dev (>= 5.5.0),

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,6 @@
 	GOPATH=$(GOPATH) GOCACHE=$(GOCACHE) GO111MODULE=off GOPROXY=off GOTOOLCHAIN=local \
 		HOME=$(HOME) go test -vet=off -v -p 8 github.com/go-git/go-git/...
 endif
+
+execute_after_dh_auto_test:
+	find _build -type d -name .tmp -print0 | xargs -0r rm -rf

## golang-github-go-git-go-git 5.14.0

=== debian/changelog ===
golang-github-go-git-go-git (5.14.0-1) unstable; urgency=medium

  * Team upload.
  * Skip tests that depend on git-daemon.
  * Fix lintian executable-not-elf-or-script.
  * Add go-git manpage.
  * New upstream version 5.14.0
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Mar 2025 15:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -31,8 +31,9 @@
                golang-golang-x-text-dev <!nocheck>,
                golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
                git,
+               help2man <!nodoc>,
                tzdata
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git.git
 Homepage: https://github.com/go-git/go-git

## golang-github-go-git-go-git 5.16.2

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 test:
 	@echo "running against `git version`"; \
 	$(GOTEST) -race ./...
+	$(GOTEST) -v _examples/common_test.go _examples/common.go --examples
 
 TEMP_REPO := $(shell mktemp)
 test-sha256:

=== debian/changelog ===
golang-github-go-git-go-git (5.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Add salsa-ci.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Run wrap-and-sort -akb.
  * Add Static-Built-Using.
  * Skip FTBFS'ing TestSendPackOnNonEmptyWithReportStatusWithError.
    Closes: #1114132.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 05 Oct 2025 13:45:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               git,
                golang-any,
                golang-github-armon-go-socks5-dev <!nocheck>,
                golang-github-elazarl-goproxy-dev <!nocheck>,
                golang-github-emirpasic-gods-dev,
                golang-github-gliderlabs-ssh-dev <!nocheck>,
+               golang-github-go-git-go-billy-dev (>= 5.5.0),
+               golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
                golang-github-golang-groupcache-dev,
                golang-github-google-go-cmp-dev <!nocheck>,
-               golang-github-go-git-go-billy-dev (>= 5.5.0),
                golang-github-imdario-mergo-dev,
                golang-github-jbenet-go-context-dev,
+               golang-github-jessevdk-go-flags-dev,
                golang-github-kevinburke-ssh-config-dev,
                golang-github-pjbgf-sha1cd-dev,
                golang-github-protonmail-go-crypto-dev,
@@ -23,21 +26,17 @@
                golang-github-skeema-knownhosts-dev,
                golang-github-src-d-gcfg-dev,
                golang-github-xanzy-ssh-agent-dev,
-               golang-github-jessevdk-go-flags-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
+               golang-golang-x-text-dev <!nocheck>,
                golang-gopkg-check.v1-dev,
-               golang-golang-x-text-dev <!nocheck>,
-               golang-github-go-git-go-git-fixtures-dev (>= 4.3.1~git20240304.46037e5) <!nocheck>,
-               git,
                help2man <!nodoc>,
                tzdata
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-git.git
 Homepage: https://github.com/go-git/go-git
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/go-git/go-git
 
 Package: golang-github-go-git-go-git-dev
@@ -45,10 +44,11 @@
 Multi-Arch: foreign
 Breaks: gitsign (<< 0.12.0-4~)
 Depends: golang-github-emirpasic-gods-dev,
+         golang-github-go-git-go-billy-dev (>= 5.5.0),
          golang-github-golang-groupcache-dev,
-         golang-github-go-git-go-billy-dev (>= 5.5.0),
          golang-github-imdario-mergo-dev,
          golang-github-jbenet-go-context-dev,
+         golang-github-jessevdk-go-flags-dev,
          golang-github-kevinburke-ssh-config-dev,
          golang-github-pjbgf-sha1cd-dev,
          golang-github-protonmail-go-crypto-dev,
@@ -56,7 +56,6 @@
          golang-github-skeema-knownhosts-dev,
          golang-github-src-d-gcfg-dev,
          golang-github-xanzy-ssh-agent-dev,
-         golang-github-jessevdk-go-flags-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
@@ -72,8 +71,9 @@
 Package: go-git
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Static-Built-Using: ${misc:Static-Built-Using}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: highly extensible Git implementation in pure Go (command line)
  go-git is a highly extensible git implementation library written in pure Go.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
 GOPATH = $(CURDIR)/_build
 GOCACHE = $(CURDIR)/_build/go-build
@@ -21,6 +23,12 @@
 		$(CURDIR)/_build/src/github.com/go-git/go-git/storage/test/storage_suite.go
 endif
 
+# "git daemon cannot be found"
+# Debian doesn't have 'git daemon'
+execute_before_dh_auto_test:
+	rm -fv $(CURDIR)/_build/src/github.com/go-git/go-git/plumbing/transport/git/common_test.go
+	rm -fv $(CURDIR)/_build/src/github.com/go-git/go-git/plumbing/transport/git/receive_pack_test.go # undefined: BaseSuite
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# writeable HOME directory with ~/.ssh/known_hosts and ~/.gitconfig is
@@ -33,3 +41,21 @@
 
 execute_after_dh_auto_test:
 	find _build -type d -name .tmp -print0 | xargs -0r rm -rf
+
+# W: golang-github-go-git-go-git-dev: executable-not-elf-or-script [usr/share/gocode/src/github.com/go-git/go-git/internal/url/url_test.go]
+execute_before_dh_auto_install:
+	find|grep url_test.go
+	chmod -v -x $(CURDIR)/_build/src/github.com/go-git/go-git/internal/url/url_test.go
+
+B = $(CURDIR)/debian/tmp/usr/bin
+M = $(CURDIR)/debian/tmp/usr/share/man/man1
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+execute_before_dh_installman-arch:
+	mkdir -pv $(M)
+	help2man --version-string="$(DEB_VERSION)" \
+		--no-info \
+		--name="Git implementation written in Go" \
+		--output $(M)/go-git.1 \
+		$(B)/go-git
+endif

=== debian/watch ===
Version: 5
Template: Github
Owner: go-git
Project: go-git
